=== debian/changelog ===
pure-readline (0.2-1) natty; urgency=low

  * New upstream release

 -- Albert Graef <Dr.Graef@t-online.de>  Tue, 20 Nov 2012 15:24:15 +0100

pure-readline (0.1-1) natty; urgency=low

  * Initial release

 -- Albert Graef <Dr.Graef@t-online.de>  Wed, 23 May 2012 19:47:38 +0200
