=== debian/control ===
Source: pure-readline
Section: devel
Priority: extra
Maintainer: Albert Graef <aggraef@gmail.com>
Build-Depends: debhelper (>= 7.0.50~), pure-dev, libreadline6-dev
Standards-Version: 3.9.1
Homepage: http://purelang.bitbucket.org

Package: pure-readline
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: readline interface for the Pure programming language
 Pure is a modern-style functional programming language based on term
 rewriting. This package provides a module which gives Pure scripts access
 to the readline and add_history functions of the GNU readline library (or
 compatible replacements such as BSD editline).
